LibreOffice: ParagraphProperties Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Attributes | List of all members
ParagraphProperties Service Referencepublished

describes the style of paragraphs. More...

`import"ParagraphProperties.idl";`

Inheritance diagram for ParagraphProperties:

## Public Attributes
com::sun::star::style::ParagraphAdjust | ParaAdjust
| determines the adjustment of a paragraph. More...
com::sun::star::style::LineSpacing | ParaLineSpacing
| contains the type of the line spacing of a paragraph. More...
com::sun::star::util::Color | ParaBackColor
| contains the paragraph background color. More...
boolean | ParaBackTransparent
| This value is `TRUE` if the paragraph background color is set to transparent. More...
string | ParaBackGraphicURL
| contains the value of a link for the background graphic of a paragraph. More...
string | ParaBackGraphicFilter
| contains the name of the graphic filter for the background graphic of a paragraph. More...
com::sun::star::style::GraphicLocation | ParaBackGraphicLocation
| contains the value for the position of a background graphic. More...
short | ParaLastLineAdjust
| determines the adjustment of the last line. More...
boolean | ParaExpandSingleWord
| determines if single words are stretched. More...
long | ParaLeftMargin
| determines the left margin of the paragraph in 100th mm. More...
long | ParaRightMargin
| determines the right margin of the paragraph in 100th mm. More...
long | ParaTopMargin
| determines the top margin of the paragraph in 100th mm. More...
long | ParaBottomMargin
| determines the bottom margin of the paragraph in 100th mm. More...
boolean | ParaContextMargin
| determines if contextual spacing is used. More...
sequence< com::sun::star::beans::PropertyValue > | ParaInteropGrabBag
| Grab bag of paragraph properties, used as a string-any map for interim interop purposes. More...
boolean | ParaLineNumberCount
| determines if the paragraph is included in the line numbering. More...
long | ParaLineNumberStartValue
| contains the start value for the line numbering. More...
string | PageDescName
| If this property is set, it creates a page break before the paragraph it belongs to and assigns the value as the name of the new page style sheet to use. More...
short | PageNumberOffset
| If a page break property is set at a paragraph, this property contains the new value for the page number. More...
boolean | ParaRegisterModeActive
| determines if the register mode is applied to a paragraph. More...
sequence< com::sun::star::style::TabStop > | ParaTabStops
| specifies the positions and kinds of the tab stops within this paragraph. More...
string | ParaStyleName
| contains the name of the current paragraph style. More...
string | PageStyleName
| contains the name of the current page style. More...
com::sun::star::style::DropCapFormat | DropCapFormat
| specifies whether the first characters of the paragraph are displayed in capital letters and how they are formatted. More...
boolean | DropCapWholeWord
| specifies if the property DropCapFormat is applied to the whole first word. More...
boolean | ParaKeepTogether
| Setting this property to `TRUE` prevents page or column breaks between this and the following paragraph. More...
boolean | ParaSplit
| Setting this property to `FALSE` prevents the paragraph from getting split into two pages or columns. More...
short | NumberingLevel
| specifies the numbering level of the paragraph. More...
com::sun::star::container::XIndexReplace | NumberingRules
| contains the numbering rules applied to this paragraph. More...
short | NumberingStartValue
| specifies the start value for numbering if a new numbering starts at this paragraph. More...
boolean | ParaIsNumberingRestart
| determines if the numbering rules restart, counting at the current paragraph. More...
string | NumberingStyleName
| specifies the name of the style for the numbering. More...
byte | ParaOrphans
| specifies the minimum number of lines of the paragraph that have to be at bottom of a page if the paragraph is spread over more than one page. More...
byte | ParaWidows
| specifies the minimum number of lines of the paragraph that have to be at top of a page if the paragraph is spread over more than one page. More...
com::sun::star::table::ShadowFormat | ParaShadowFormat
| determines the type, color, and size of the shadow. More...
com::sun::star::table::BorderLine | LeftBorder
| contains the left border of the object. More...
com::sun::star::table::BorderLine | RightBorder
| contains the right border of the object. More...
com::sun::star::table::BorderLine | TopBorder
| contains the top border of the object. More...
com::sun::star::table::BorderLine | BottomBorder
| contains the bottom border of the object. More...
long | BorderDistance
| contains the distance from the border to the object. More...
long | LeftBorderDistance
| contains the distance from the left border to the object. More...
long | RightBorderDistance
| contains the distance from the right border to the object. More...
long | TopBorderDistance
| contains the distance from the top border to the object. More...
long | BottomBorderDistance
| contains the distance from the bottom border to the object. More...
com::sun::star::style::BreakType | BreakType
| determines the type of break that is applied at the beginning of the table. More...
string | DropCapCharStyleName
| specifies the character style name for drop caps. More...
long | ParaFirstLineIndent
| specifies the indent for the first line. More...
boolean | ParaIsAutoFirstLineIndent
| determines if the first line should be indented automatically. More...
boolean | ParaIsHyphenation
| specifies if automatic hyphenation is applied. More...
short | ParaHyphenationMaxHyphens
| specifies the maximum number of consecutive hyphens. More...
short | ParaHyphenationMaxLeadingChars
| specifies the maximum number of characters to remain before the hyphen character (when hyphenation is applied). More...
short | ParaHyphenationMaxTrailingChars
| specifies the maximum number of characters to remain after the hyphen character (when hyphenation is applied). More...
short | ParaVertAlignment
| specifies the vertical alignment of a paragraph. More...
com::sun::star::container::XNameContainer | ParaUserDefinedAttributes
| this property stores xml attributes. More...
boolean | NumberingIsNumber
| returns `FALSE` if the paragraph is part of a numbering, but has no numbering label. More...
boolean | ParaIsConnectBorder
| the property determines if borders set at a paragraph are merged with the next paragraph. More...
string | ListId
| specifies the id of the list to which the paragraph belongs More...
short | OutlineLevel
| specifies the outline level to which the paragraph belongs More...

## Detailed Description

describes the style of paragraphs.

Developers Guide
  Text - Formatting

## Member Data Documentation

## ◆ BorderDistance

long BorderDistance
| optionalproperty

contains the distance from the border to the object.

## ◆ BottomBorder

com::sun::star::table::BorderLine BottomBorder
| optionalproperty

contains the bottom border of the object.

## ◆ BottomBorderDistance

long BottomBorderDistance
| optionalproperty

contains the distance from the bottom border to the object.

## ◆ BreakType

com::sun::star::style::BreakType BreakType
| optionalproperty

determines the type of break that is applied at the beginning of the table.

See also
  com::sun::star::style::BreakType

## ◆ DropCapCharStyleName

string DropCapCharStyleName
| optionalproperty

specifies the character style name for drop caps.

## ◆ DropCapFormat

com::sun::star::style::DropCapFormat DropCapFormat
| optionalproperty

specifies whether the first characters of the paragraph are displayed in capital letters and how they are formatted.

## ◆ DropCapWholeWord

boolean DropCapWholeWord
| optionalproperty

specifies if the property DropCapFormat is applied to the whole first word.

## ◆ LeftBorder

com::sun::star::table::BorderLine LeftBorder
| optionalproperty

contains the left border of the object.

## ◆ LeftBorderDistance

long LeftBorderDistance
| optionalproperty

contains the distance from the left border to the object.

## ◆ ListId

string ListId
| optionalproperty

specifies the id of the list to which the paragraph belongs

## ◆ NumberingIsNumber

boolean NumberingIsNumber
| optionalpropertymaybevoid

returns `FALSE` if the paragraph is part of a numbering, but has no numbering label.

A paragraph is part of a numbering, if a style for a numbering is set - see NumberingStyleName.

If the paragraph is not part of a numbering the property is void.

## ◆ NumberingLevel

short NumberingLevel
| optionalproperty

specifies the numbering level of the paragraph.

## ◆ NumberingRules

com::sun::star::container::XIndexReplace NumberingRules
| optionalproperty

contains the numbering rules applied to this paragraph.

## ◆ NumberingStartValue

short NumberingStartValue
| optionalproperty

specifies the start value for numbering if a new numbering starts at this paragraph.

## ◆ NumberingStyleName

string NumberingStyleName
| optionalproperty

specifies the name of the style for the numbering.

The name must be one of the names which are available via XStyleFamiliesSupplier.

## ◆ OutlineLevel

short OutlineLevel
| optionalproperty

specifies the outline level to which the paragraph belongs

Since
  OOo 3.1

Value 0 indicates that the paragraph belongs to the body text.

Values [1..10] indicates that the paragraph belongs to the corresponding outline level.

## ◆ PageDescName

string PageDescName
| optionalproperty

If this property is set, it creates a page break before the paragraph it belongs to and assigns the value as the name of the new page style sheet to use.

## ◆ PageNumberOffset

short PageNumberOffset
| optionalproperty

If a page break property is set at a paragraph, this property contains the new value for the page number.

## ◆ PageStyleName

string PageStyleName
| optionalpropertyreadonlymaybevoid

contains the name of the current page style.

## ◆ ParaAdjust

com::sun::star::style::ParagraphAdjust ParaAdjust
| property

determines the adjustment of a paragraph.

## ◆ ParaBackColor

com::sun::star::util::Color ParaBackColor
| optionalproperty

contains the paragraph background color.

## ◆ ParaBackGraphicFilter

string ParaBackGraphicFilter
| optionalproperty

contains the name of the graphic filter for the background graphic of a paragraph.

## ◆ ParaBackGraphicLocation

com::sun::star::style::GraphicLocation ParaBackGraphicLocation
| optionalproperty

contains the value for the position of a background graphic.

See also
  com::sun::star::style::GraphicLocation

## ◆ ParaBackGraphicURL

string ParaBackGraphicURL
| optionalproperty

contains the value of a link for the background graphic of a paragraph.

## ◆ ParaBackTransparent

boolean ParaBackTransparent
| optionalproperty

This value is `TRUE` if the paragraph background color is set to transparent.

## ◆ ParaBottomMargin

long ParaBottomMargin
| property

determines the bottom margin of the paragraph in 100th mm.

The distance between two paragraphs is specified by:

- either the bottom margin of the previous paragraph
- or the top margin of the following paragraph.

The greater one is chosen.

## ◆ ParaContextMargin

boolean ParaContextMargin
| optionalproperty

determines if contextual spacing is used.

Since
  LibreOffice 3.6

If true, the top and bottom margins of the paragraph should not be applied when the previous and next paragraphs have the same style.

## ◆ ParaExpandSingleWord

boolean ParaExpandSingleWord
| optionalproperty

determines if single words are stretched.

It is only valid if ParagraphProperties::ParaAdjust and ParagraphProperties::ParaLastLineAdjust are also valid.

## ◆ ParaFirstLineIndent

long ParaFirstLineIndent
| optionalproperty

specifies the indent for the first line.

## ◆ ParaHyphenationMaxHyphens

short ParaHyphenationMaxHyphens
| optionalproperty

specifies the maximum number of consecutive hyphens.

## ◆ ParaHyphenationMaxLeadingChars

short ParaHyphenationMaxLeadingChars
| optionalproperty

specifies the maximum number of characters to remain before the hyphen character (when hyphenation is applied).

## ◆ ParaHyphenationMaxTrailingChars

short ParaHyphenationMaxTrailingChars
| optionalproperty

specifies the maximum number of characters to remain after the hyphen character (when hyphenation is applied).

## ◆ ParaInteropGrabBag

sequence<com::sun::star::beans::PropertyValue> ParaInteropGrabBag
| optionalproperty

Grab bag of paragraph properties, used as a string-any map for interim interop purposes.

Since
  LibreOffice 4.2

This property is intentionally not handled by the ODF filter. Any member that should be handled there should be first moved out from this grab bag to a separate property.

## ◆ ParaIsAutoFirstLineIndent

boolean ParaIsAutoFirstLineIndent
| optionalproperty

determines if the first line should be indented automatically.

## ◆ ParaIsConnectBorder

boolean ParaIsConnectBorder
| optionalpropertymaybevoid

the property determines if borders set at a paragraph are merged with the next paragraph.

Borders are only merged if they are identical.

## ◆ ParaIsHyphenation

boolean ParaIsHyphenation
| property

specifies if automatic hyphenation is applied.

## ◆ ParaIsNumberingRestart

boolean ParaIsNumberingRestart
| optionalproperty

determines if the numbering rules restart, counting at the current paragraph.

## ◆ ParaKeepTogether

boolean ParaKeepTogether
| optionalproperty

Setting this property to `TRUE` prevents page or column breaks between this and the following paragraph.

This feature is useful for preventing title paragraphs to be the last line on a page or column.

## ◆ ParaLastLineAdjust

short ParaLastLineAdjust
| property

determines the adjustment of the last line.

It is only valid if ParagraphProperties::ParaAdjust is set to ParagraphAdjust::BLOCK.

## ◆ ParaLeftMargin

long ParaLeftMargin
| property

determines the left margin of the paragraph in 100th mm.

## ◆ ParaLineNumberCount

boolean ParaLineNumberCount
| optionalproperty

determines if the paragraph is included in the line numbering.

## ◆ ParaLineNumberStartValue

long ParaLineNumberStartValue
| optionalproperty

contains the start value for the line numbering.

## ◆ ParaLineSpacing

com::sun::star::style::LineSpacing ParaLineSpacing
| optionalproperty

contains the type of the line spacing of a paragraph.

## ◆ ParaOrphans

byte ParaOrphans
| optionalproperty

specifies the minimum number of lines of the paragraph that have to be at bottom of a page if the paragraph is spread over more than one page.

## ◆ ParaRegisterModeActive

boolean ParaRegisterModeActive
| optionalproperty

determines if the register mode is applied to a paragraph.

Remark: Register mode is only used if the register mode property of the page style is switched on.

## ◆ ParaRightMargin

long ParaRightMargin
| property

determines the right margin of the paragraph in 100th mm.

## ◆ ParaShadowFormat

com::sun::star::table::ShadowFormat ParaShadowFormat
| optionalproperty

determines the type, color, and size of the shadow.

See also
  com::sun::star::table::ShadowFormat

## ◆ ParaSplit

boolean ParaSplit
| optionalproperty

Setting this property to `FALSE` prevents the paragraph from getting split into two pages or columns.

## ◆ ParaStyleName

string ParaStyleName
| optionalproperty

contains the name of the current paragraph style.

## ◆ ParaTabStops

sequence<com::sun::star::style::TabStop> ParaTabStops
| optionalproperty

specifies the positions and kinds of the tab stops within this paragraph.

## ◆ ParaTopMargin

long ParaTopMargin
| property

determines the top margin of the paragraph in 100th mm.

The distance between two paragraphs is specified by:

- either the bottom margin of the previous paragraph.
- or the top margin of the following paragraph.

The greater one is chosen.

## ◆ ParaUserDefinedAttributes

com::sun::star::container::XNameContainer ParaUserDefinedAttributes
| optionalproperty

this property stores xml attributes.

They will be saved to and restored from automatic styles inside xml files.

See also
  com::sun::star::xml::AttributeContainer

## ◆ ParaVertAlignment

short ParaVertAlignment
| optionalproperty

specifies the vertical alignment of a paragraph.

See also
  com::sun::star::text::ParagraphVertAlign

## ◆ ParaWidows

byte ParaWidows
| optionalproperty

specifies the minimum number of lines of the paragraph that have to be at top of a page if the paragraph is spread over more than one page.

## ◆ RightBorder

com::sun::star::table::BorderLine RightBorder
| optionalproperty

contains the right border of the object.

## ◆ RightBorderDistance

long RightBorderDistance
| optionalproperty

contains the distance from the right border to the object.

## ◆ TopBorder

com::sun::star::table::BorderLine TopBorder
| optionalproperty

contains the top border of the object.

## ◆ TopBorderDistance

long TopBorderDistance
| optionalproperty

contains the distance from the top border to the object.

The documentation for this service was generated from the following file:

- com/sun/star/style/ParagraphProperties.idl